pbox_House_school = Class('pbox_House_school', fv.core.Building)

function pbox_House_school:onStateChange()
	local b = self
	local data = b:data()
	b:randReset()
	if b.working and b.damaged==false then
		if isValidUID(data["slot_shutters1"]) == false then	
			b:randReset()
			data["slot_oven"] = createDecorOnAirTurn (0, b, "models/house/decor/oven"..b:rand(1, 4).."_2.prefab", -0.921, 1, 2.9)
			b:addCollision(data["slot_oven"], "models/house/decor/oven1_2.prefab")
			data["slot_table"] = createDecorOnAirTurn (90, b, "models/house/furniture/table3.prefab", -2.679, 1.092, -3.022)
			b:addCollision(data["slot_table"], "models/house/furniture/table3.prefab")
			data["slot_shutters1"] = createDecorOnAirTurn (0, b, "models/house/decor/shutters7_"..b:rand(1,3)..".prefab", -3.808, 2.222, -0.378)
			local number = b:rand(0,3)
			if number ~=0 then
				data["slot_shutters2"] = createDecorOnAirTurn (0, b, "models/house/decor/shutters7_"..number..".prefab", -3.808, 2.222, 2.271)
			end
			if b:rand(0,2) ~=0 then
				data["slot_logs2"] = createDecorOnAirTurn (b:rand(0,1)*180-90, b, "models/house/decor/logs_roof1.prefab", -1.018, 6.803, -0.089)
			end
			number = b:rand(0,7)
			if number ==1 then
				data["slot_logs3"] = createDecorOnAirTurn (90, b, "models/house/decor/logs_roof2.prefab", -1.053, 5.216, 0.186)
			elseif number ==2 then
				data["slot_logs3"] = createDecorOnAirTurn (-90, b, "models/house/decor/logs_roof2.prefab", -0.941, 5.265, 0.186)
			elseif number >=3 then	
				data["slot_logs"] = createDecorOnAirTurn (0, b, "models/house/tailor/tl_logs"..b:rand(1,4)..".prefab", 0.529, -0.081, 0.308)
			end
		
			number = b:rand(1,2)
			if number == 1 then
				data["slot_lamp"] = createDecorOnAirTurn (90, b, "models/house/decor/lamp1.prefab", 1.669, 2.788, -4.398)
				createLight (b, "slot_light", 1.669, 2.788, -4.398)
			else
				data["slot_lamp"] = createDecorOnAirTurn (90, b, "models/house/decor/lamp1.prefab", 3.539, 2.487, -2.5)
				createLight (b, "slot_light", 3.539, 2.487, -2.5)
			end		
			
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants1"] = createDecorOnAirTurn (0, b, "models/house/decor/house_plants1.prefab", 3.659, 1.75, -1.026)					
			end					
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants2"] = createDecorOnAirTurn (0, b, "models/house/decor/house_plants1.prefab", 3.659, 1.75, 1.649)					
			end						
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants3"] = createDecorOnAirTurn (0, b, "models/house/decor/house_plants1.prefab", 3.659, 1.75, 1.649)					
			end				
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants4"] = createDecorOnAirTurn (-90, b, "models/house/decor/house_plants1.prefab", 3.115, 1.814, 4.012)					
			end	
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants5"] = createDecorOnAirTurn (0, b, "models/house/decor/house_plants3.prefab", -1.085, 4.2, 4.282)					
			end					
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants6"] = createDecorOnAirTurn (180, b, "models/house/decor/house_plants1.prefab", -3.975, 1.877, -2.445)					
			end						
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants7"] = createDecorOnAirTurn (180, b, "models/house/decor/house_plants3.prefab", -0.896, 4.2, -3.615)					
			end	
				
		end
	else
		if isValidUID(data["slot_shutters1"]) then
			clearModelSlot(b,"slot_oven")
			clearModelSlot(b,"slot_shutters1")
			clearModelSlot(b,"slot_shutters2")
			clearModelSlot(b,"slot_logs")
			clearModelSlot(b,"slot_logs2")
			clearModelSlot(b,"slot_logs3")		
			clearModelSlot(b,"slot_lamp")
			b:removeLight(data["slot_light"])
			clearModelSlot(b,"slot_plants1")
			clearModelSlot(b,"slot_plants2")
			clearModelSlot(b,"slot_plants3")
			clearModelSlot(b,"slot_plants4")
			clearModelSlot(b,"slot_plants5")
			clearModelSlot(b,"slot_plants6")
			clearModelSlot(b,"slot_plants7")
			clearModelSlot(b,"slot_table")
		end
	end
end

function pbox_House_school:refreshFoodFirewood()
	--createFoodFirewood(self, 0,-0.665, 1.097, -2.248,     180,-2.699, 2.086, -2.989)
	fv.core.createFood(self, 180,-2.699, 2.086, -2.989)
	fv.core.createFirewood(self, 0,-0.665, 1.097, -2.248)
end


function pbox_House_school:createWindow()
	return fv.core.HouseWindow(self, "House.layout")
end

function pbox_House_school:onPrefabChange()
	self:refreshFoodFirewood()
end

function pbox_House_school:onResourceChange()
	self:refreshFoodFirewood()
end

function pbox_House_school:onTimeout()
	self:refreshFoodFirewood()
end

function pbox_House_school:init()

end

function pbox_House_school.updatePlayer(b, w, checkAction)
	if w.storageEmpty == false then
		return depositToHouse(w, b, checkAction)
	end	
	return false
end

fv.core.GameMenu.model:regBuilding(House_pbox_school, 'livingHouses.pbox_House_school', 'GameLook1/iconhospital', '@btnHouse1@ \n@Cost@: @pricepbox_House_school@', 12)