pbox_House_tailor = Class('pbox_House_tailor', fv.core.Building)

function pbox_House_tailor:onStateChange()
	local b = self
	local data = b:data()
	b:randReset()
	if b.working and b.damaged==false then
		if isValidUID(self.slot_lamp) == false then	
			data["slot_oven"] = createDecorOnAirTurn (0, b, "models/house/decor/oven"..b:rand(1, 4).."_2.prefab", -0.921, 1, 2.9)
			b:addCollision(data["slot_oven"], "models/house/decor/oven1_2.prefab")
			data["slot_table"] = createDecorOnAirTurn (270, b, "models/house/furniture/table3.prefab", -0.3, .78, 3) -- 90 / -2.679, 1.092, -3.022
			b:addCollision(data["slot_table"], "models/house/furniture/table3.prefab")

			local number = self:rand(0,3)
			if number ~=0 then
				self.slot_shutters1 = createDecorOnAirTurn (-90, self, "models/house/decor/shutters7_"..number..".prefab", -1.445, 2.141, -3.979)
			end
			number = self:rand(0,3)
			if number ~=0 then
				self.slot_shutters2 = createDecorOnAirTurn (90, self, "models/house/decor/shutters7_"..number..".prefab", -1.705, 2.141, 3.832)
			end
			number = self:rand(0,3)
			if number ~=0 then
				self.slot_shutters3 = createDecorOnAirTurn (180, self, "models/house/decor/shutters7_"..number..".prefab", 1.296, 2.325, -1.822)
			end
			number = self:rand(0,2)
			if number ==1 then
				data["slot_logs"] = createDecorOnAirTurn (0, b, "models/house/tailor/tl_logs"..b:rand(1,4)..".prefab", 0, 0, 0)
			elseif number ==2 then
				data["slot_logs3"] = createDecorOnAirTurn (b:rand(0,1)*180-90, b, "models/house/decor/logs_roof2.prefab", -1.546, 5.36, -0.017)
			end
			if b:rand(0,2) ~=0 then
				data["slot_logs2"] = createDecorOnAirTurn (b:rand(0,1)*180-90, b, "models/house/decor/logs_roof1.prefab", -1.473, 6.973, -0.089)
			end
			
			number = b:rand(1,2)
			if number == 1 then
				data["slot_lamp"] = createDecorOnAirTurn (90, b, "models/house/decor/lamp1.prefab", 1.157, 2.882, -4.968)
				createLight (b, "slot_light", 1.157, 2.882, -4.968)
			else
				data["slot_lamp"] = createDecorOnAirTurn (-90, b, "models/house/decor/lamp1.prefab", 1.169, 2.882, 4.78)
				createLight (b, "slot_light", 1.169, 2.882, 4.78)
			end		
			
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants1"] = createDecorOnAirTurn (0, b, "models/house/decor/house_plants1.prefab", 3.327, 1.731, -0.691)					
			end
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants2"] = createDecorOnAirTurn (-90, b, "models/house/decor/house_plants1.prefab", 1.411, 2.242, 4.038)					
			end
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants3"] = createDecorOnAirTurn (-90, b, "models/house/decor/house_plants1.prefab", -1.574, 4.815, 4.026)					
			end			
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants4"] = createDecorOnAirTurn (90, b, "models/house/decor/house_plants1.prefab", -1.574, 4.815, -4.192)					
			end				
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants5"] = createDecorOnAirTurn (90, b, "models/house/decor/house_plants1.prefab", 1.436, 2.186, -4.101)					
			end				
			number = b:rand(0,2)
			if number == 1 then
				data["slot_plants6"] = createDecorOnAirTurn (90, b, "models/house/decor/house_plants1.prefab", 2.678, 1.854, -4.101)					
			end				
		end
	else
		if isValidUID(data["slot_lamp"]) then
			clearModelSlot(b,"slot_shutters1")
			clearModelSlot(b,"slot_shutters2")
			clearModelSlot(b,"slot_shutters3")
			clearModelSlot(b,"slot_logs")
			clearModelSlot(b,"slot_logs2")
			clearModelSlot(b,"slot_logs3")
			clearModelSlot(b,"slot_lamp")
			b:removeLight(data["slot_light"])
			clearModelSlot(b,"slot_plants1")
			clearModelSlot(b,"slot_plants2")
			clearModelSlot(b,"slot_plants3")
			clearModelSlot(b,"slot_plants4")
			clearModelSlot(b,"slot_plants5")
			clearModelSlot(b,"slot_plants6")
		end
	end
end

function pbox_House_tailor:refreshFoodFirewood()
	fv.core.createFood(self, 180,-2.699, 2.086, -2.989)
	fv.core.createFirewood(self, 0,-0.665, 1.097, -2.248)
end

function pbox_House_school:createWindow()
	return fv.core.HouseWindow(self, "House.layout")
end

function pbox_House_tailor:onPrefabChange()
	self:refreshFoodFirewood()
end

function pbox_House_tailor:onResourceChange()
	self:refreshFoodFirewood()
end

function pbox_House_tailor:onTimeout()
	self:refreshFoodFirewood()
end

function pbox_House_tailor:init()

end

function pbox_House_tailor.updatePlayer(b, w, checkAction)
	if w.storageEmpty == false then
		return depositToHouse(w, b, checkAction)
	end	
	return false
end

fv.core.GameMenu.model:regBuilding(House_pbox_tailor, 'livingHouses.House_pbox_tailor', 'GameLook1/iconhospital', '@btnHouse1@ \n@Cost@: @pricepbox_House_tailor@', 13)